<?php
 
 
 

namespace Google\Protobuf\Internal\FeatureSet;

use UnexpectedValueException;




class JsonFormat
{
    


    const JSON_FORMAT_UNKNOWN = 0;
    


    const ALLOW = 1;
    


    const LEGACY_BEST_EFFORT = 2;

    private static $valueToName = [
        self::JSON_FORMAT_UNKNOWN => 'JSON_FORMAT_UNKNOWN',
        self::ALLOW => 'ALLOW',
        self::LEGACY_BEST_EFFORT => 'LEGACY_BEST_EFFORT',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

